package netsplit

// Error makes a SplitErr conform to error.
func (s *SplitErr) Error() (errStr string) {

	if s == nil {
		errStr = "(error unknown; nil error)"
		return
	}

	errStr = s.Wrapped.Error()

	return
}
